from django.urls import path
from . import views

app_name="exam"

urlpatterns = [path('<int:pk>/q1/', views.q1, name='q1'),
               path('<int:pk>/q2/', views.q2, name='q2'),
               path('<int:pk>/q3/', views.q3, name='q3'),
               path('<int:pk>/q4/', views.q4, name='q4'),
               path('<int:pk>/q5/', views.q5, name='q5'),
               path('<int:pk>/q6/', views.q6, name='q6'),
               path('<int:pk>/q7/', views.q7, name='q7'),
               path('<int:pk>/q8/', views.q8, name='q8'),
               path('<int:pk>/q9/', views.q9, name='q9'),
               path('<int:pk>/q10/', views.q10, name='q10'),
               path('<int:pk>/q11/', views.q11, name='q11'),
               path('<int:pk>/q12/', views.q12, name='q12'),
               path('<int:pk>/q13/', views.q13, name='q13'),
               path('<int:pk>/q14/', views.q14, name='q14'),
               path('<int:pk>/q15/', views.q15, name='q15'),
               path('<int:pk>/q16/', views.q16, name='q16'),
               path('<int:pk>/q17/', views.q17, name='q17'),
               path('<int:pk>/q18/', views.q18, name='q18'),
               path('<int:pk>/q19/', views.q19, name='q19'),
               path('<int:pk>/q20/', views.q20, name='q20'),
               path('<int:pk>/q21/', views.q21, name='q21'),
               path('<int:pk>/q22/', views.q22, name='q22'),
               path('<int:pk>/q23/', views.q23, name='q23'),
               path('<int:pk>/q24/', views.q24, name='q24'),
               path('<int:pk>/q25/', views.q25, name='q25'),
               path('<int:pk>/q26/', views.q26, name='q26'),

               path('<int:pk>/upd_q1/', views.upd_q1, name='upd_q1'),
               path('<int:pk>/upd_q2/', views.upd_q2, name='upd_q2'),
               path('<int:pk>/upd_q3/', views.upd_q3, name='upd_q3'),
               path('<int:pk>/upd_q4/', views.upd_q4, name='upd_q4'),
               path('<int:pk>/upd_q5/', views.upd_q5, name='upd_q5'),
               path('<int:pk>/upd_q6/', views.upd_q6, name='upd_q6'),
               path('<int:pk>/upd_q7/', views.upd_q7, name='upd_q7'),
               path('<int:pk>/upd_q8/', views.upd_q8, name='upd_q8'),
               path('<int:pk>/upd_q9/', views.upd_q9, name='upd_q9'),
               path('<int:pk>/upd_q10/', views.upd_q10, name='upd_q10'),
               path('<int:pk>/upd_q11/', views.upd_q11, name='upd_q11'),
               path('<int:pk>/upd_q12/', views.upd_q12, name='upd_q12'),
               path('<int:pk>/upd_q13/', views.upd_q13, name='upd_q13'),
               path('<int:pk>/upd_q14/', views.upd_q14, name='upd_q14'),
               path('<int:pk>/upd_q15/', views.upd_q15, name='upd_q15'),
               path('<int:pk>/upd_q16/', views.upd_q16, name='upd_q16'),
               path('<int:pk>/upd_q17/', views.upd_q17, name='upd_q17'),
               path('<int:pk>/upd_q18/', views.upd_q18, name='upd_q18'),
               path('<int:pk>/upd_q19/', views.upd_q19, name='upd_q19'),
               path('<int:pk>/upd_q20/', views.upd_q20, name='upd_q20'),
               path('<int:pk>/upd_q21/', views.upd_q21, name='upd_q21'),
               path('<int:pk>/upd_q22/', views.upd_q22, name='upd_q22'),
               path('<int:pk>/upd_q23/', views.upd_q23, name='upd_q23'),
               path('<int:pk>/upd_q24/', views.upd_q24, name='upd_q24'),
               path('<int:pk>/upd_q25/', views.upd_q25, name='upd_q25'),
               path('<int:pk>/upd_q26/', views.upd_q26, name='upd_q26'),

               path('<int:pk>/y_upd_q1/', views.y_upd_q1, name='y_upd_q1'),
               path('<int:pk>/y_upd_q2/', views.y_upd_q2, name='y_upd_q2'),
               path('<int:pk>/y_upd_q3/', views.y_upd_q3, name='y_upd_q3'),
               path('<int:pk>/y_upd_q4/', views.y_upd_q4, name='y_upd_q4'),
               path('<int:pk>/y_upd_q5/', views.y_upd_q5, name='y_upd_q5'),
               path('<int:pk>/y_upd_q6/', views.y_upd_q6, name='y_upd_q6'),
               path('<int:pk>/y_upd_q7/', views.y_upd_q7, name='y_upd_q7'),
               path('<int:pk>/y_upd_q8/', views.y_upd_q8, name='y_upd_q8'),
               path('<int:pk>/y_upd_q9/', views.y_upd_q9, name='y_upd_q9'),
               path('<int:pk>/y_upd_q10/', views.y_upd_q10, name='y_upd_q10'),
               path('<int:pk>/y_upd_q11/', views.y_upd_q11, name='y_upd_q11'),
               path('<int:pk>/y_upd_q12/', views.y_upd_q12, name='y_upd_q12'),
               path('<int:pk>/y_upd_q13/', views.y_upd_q13, name='y_upd_q13'),
               path('<int:pk>/y_upd_q14/', views.y_upd_q14, name='y_upd_q14'),
               path('<int:pk>/y_upd_q15/', views.y_upd_q15, name='y_upd_q15'),
               path('<int:pk>/y_upd_q16/', views.y_upd_q16, name='y_upd_q16'),
               path('<int:pk>/y_upd_q17/', views.y_upd_q17, name='y_upd_q17'),
               path('<int:pk>/y_upd_q18/', views.y_upd_q18, name='y_upd_q18'),
               path('<int:pk>/y_upd_q19/', views.y_upd_q19, name='y_upd_q19'),
               path('<int:pk>/y_upd_q20/', views.y_upd_q20, name='y_upd_q20'),
               path('<int:pk>/y_upd_q21/', views.y_upd_q21, name='y_upd_q21'),
               path('<int:pk>/y_upd_q22/', views.y_upd_q22, name='y_upd_q22'),
               path('<int:pk>/y_upd_q23/', views.y_upd_q23, name='y_upd_q23'),
               path('<int:pk>/y_upd_q24/', views.y_upd_q24, name='y_upd_q24'),
               path('<int:pk>/y_upd_q25/', views.y_upd_q25, name='y_upd_q25'),
               path('<int:pk>/y_upd_q26/', views.y_upd_q26, name='y_upd_q26'),


               path('<int:pk>/p2q1/', views.p2q1, name='p2q1'),
               path('<int:pk>/p2q2/', views.p2q2, name='p2q2'),
               path('<int:pk>/p2q3/', views.p2q3, name='p2q3'),
               path('<int:pk>/p2q4/', views.p2q4, name='p2q4'),
               path('<int:pk>/p2q5/', views.p2q5, name='p2q5'),
               path('<int:pk>/p2q6/', views.p2q6, name='p2q6'),
               path('<int:pk>/p2q7/', views.p2q7, name='p2q7'),
               path('<int:pk>/p2q8/', views.p2q8, name='p2q8'),
               path('<int:pk>/p2q9/', views.p2q9, name='p2q9'),
               path('<int:pk>/p2q10/', views.p2q10, name='p2q10'),
               path('<int:pk>/p2q11/', views.p2q11, name='p2q11'),
               path('<int:pk>/p2q12/', views.p2q12, name='p2q12'),
               path('<int:pk>/p2q13/', views.p2q13, name='p2q13'),
               path('<int:pk>/p2q14/', views.p2q14, name='p2q14'),
               path('<int:pk>/p2q15/', views.p2q15, name='p2q15'),
               path('<int:pk>/p2q16/', views.p2q16, name='p2q16'),
               path('<int:pk>/p2q17/', views.p2q17, name='p2q17'),
               path('<int:pk>/p2q18/', views.p2q18, name='p2q18'),
               path('<int:pk>/p2q19/', views.p2q19, name='p2q19'),
               path('<int:pk>/p2q20/', views.p2q20, name='p2q20'),
               path('<int:pk>/p2q21/', views.p2q21, name='p2q21'),
               path('<int:pk>/p2q22/', views.p2q22, name='p2q22'),
               path('<int:pk>/p2q23/', views.p2q23, name='p2q23'),
               path('<int:pk>/p2q24/', views.p2q24, name='p2q24'),
               path('<int:pk>/p2q25/', views.p2q25, name='p2q25'),
               path('<int:pk>/p2q26/', views.p2q26, name='p2q26'),
               path('<int:pk>/p2q27/', views.p2q27, name='p2q27'),
               path('<int:pk>/p2q28/', views.p2q28, name='p2q28'),
               path('<int:pk>/p2q29/', views.p2q29, name='p2q29'),
               path('<int:pk>/p2q30/', views.p2q30, name='p2q30'),
               path('<int:pk>/p2q31/', views.p2q31, name='p2q31'),

               path('<int:pk>/upd_p2q1/', views.p2q21, name='upd_p2q1'),
               path('<int:pk>/upd_p2q2/', views.upd_p2q2, name='upd_p2q2'),
               path('<int:pk>/upd_p2q3/', views.upd_p2q3, name='upd_p2q3'),
               path('<int:pk>/upd_p2q4/', views.upd_p2q4, name='upd_p2q4'),
               path('<int:pk>/upd_p2q5/', views.upd_p2q5, name='upd_p2q5'),
               path('<int:pk>/upd_p2q6/', views.upd_p2q6, name='upd_p2q6'),
               path('<int:pk>/upd_p2q7/', views.upd_p2q7, name='upd_p2q7'),
               path('<int:pk>/upd_p2q8/', views.upd_p2q8, name='upd_p2q8'),
               path('<int:pk>/upd_p2q9/', views.upd_p2q9, name='upd_p2q9'),
               path('<int:pk>/upd_p2q10/', views.upd_p2q10, name='upd_p2q10'),
               path('<int:pk>/upd_p2q11/', views.upd_p2q11, name='upd_p2q11'),
               path('<int:pk>/upd_p2q12/', views.upd_p2q12, name='upd_p2q12'),
               path('<int:pk>/upd_p2q13/', views.upd_p2q13, name='upd_p2q13'),
               path('<int:pk>/upd_p2q14/', views.upd_p2q14, name='upd_p2q14'),
               path('<int:pk>/upd_p2q15/', views.upd_p2q15, name='upd_p2q15'),
               path('<int:pk>/upd_p2q16/', views.upd_p2q16, name='upd_p2q16'),
               path('<int:pk>/upd_p2q17/', views.upd_p2q17, name='upd_p2q17'),
               path('<int:pk>/upd_p2q18/', views.upd_p2q18, name='upd_p2q18'),
               path('<int:pk>/upd_p2q19/', views.upd_p2q19, name='upd_p2q19'),
               path('<int:pk>/upd_p2q20/', views.upd_p2q20, name='upd_p2q20'),
               path('<int:pk>/upd_p2q21/', views.upd_p2q21, name='upd_p2q21'),
               path('<int:pk>/upd_p2q22/', views.upd_p2q22, name='upd_p2q22'),
               path('<int:pk>/upd_p2q23/', views.upd_p2q23, name='upd_p2q23'),
               path('<int:pk>/upd_p2q24/', views.upd_p2q24, name='upd_p2q24'),
               path('<int:pk>/upd_p2q25/', views.upd_p2q25, name='upd_p2q25'),
               path('<int:pk>/upd_p2q26/', views.upd_p2q26, name='upd_p2q26'),
               path('<int:pk>/upd_p2q27/', views.upd_p2q27, name='upd_p2q27'),
               path('<int:pk>/upd_p2q28/', views.upd_p2q28, name='upd_p2q28'),
               path('<int:pk>/upd_p2q29/', views.upd_p2q29, name='upd_p2q29'),
               path('<int:pk>/upd_p2q30/', views.upd_p2q30, name='upd_p2q30'),
               path('<int:pk>/upd_p2q31/', views.upd_p2q31, name='upd_p2q31'),

               path('<int:pk>/y_upd_p2q1/', views.p2q21, name='y_upd_p2q1'),
               path('<int:pk>/y_upd_p2q2/', views.y_upd_p2q2, name='y_upd_p2q2'),
               path('<int:pk>/y_upd_p2q3/', views.y_upd_p2q3, name='y_upd_p2q3'),
               path('<int:pk>/y_upd_p2q4/', views.y_upd_p2q4, name='y_upd_p2q4'),
               path('<int:pk>/y_upd_p2q5/', views.y_upd_p2q5, name='y_upd_p2q5'),
               path('<int:pk>/y_upd_p2q6/', views.y_upd_p2q6, name='y_upd_p2q6'),
               path('<int:pk>/y_upd_p2q7/', views.y_upd_p2q7, name='y_upd_p2q7'),
               path('<int:pk>/y_upd_p2q8/', views.y_upd_p2q8, name='y_upd_p2q8'),
               path('<int:pk>/y_upd_p2q9/', views.y_upd_p2q9, name='y_upd_p2q9'),
               path('<int:pk>/y_upd_p2q10/', views.y_upd_p2q10, name='y_upd_p2q10'),
               path('<int:pk>/y_upd_p2q11/', views.y_upd_p2q11, name='y_upd_p2q11'),
               path('<int:pk>/y_upd_p2q12/', views.y_upd_p2q12, name='y_upd_p2q12'),
               path('<int:pk>/y_upd_p2q13/', views.y_upd_p2q13, name='y_upd_p2q13'),
               path('<int:pk>/y_upd_p2q14/', views.y_upd_p2q14, name='y_upd_p2q14'),
               path('<int:pk>/y_upd_p2q15/', views.y_upd_p2q15, name='y_upd_p2q15'),
               path('<int:pk>/y_upd_p2q16/', views.y_upd_p2q16, name='y_upd_p2q16'),
               path('<int:pk>/y_upd_p2q17/', views.y_upd_p2q17, name='y_upd_p2q17'),
               path('<int:pk>/y_upd_p2q18/', views.y_upd_p2q18, name='y_upd_p2q18'),
               path('<int:pk>/y_upd_p2q19/', views.y_upd_p2q19, name='y_upd_p2q19'),
               path('<int:pk>/y_upd_p2q20/', views.y_upd_p2q20, name='y_upd_p2q20'),
               path('<int:pk>/y_upd_p2q21/', views.y_upd_p2q21, name='y_upd_p2q21'),
               path('<int:pk>/y_upd_p2q22/', views.y_upd_p2q22, name='y_upd_p2q22'),
               path('<int:pk>/y_upd_p2q23/', views.y_upd_p2q23, name='y_upd_p2q23'),
               path('<int:pk>/y_upd_p2q24/', views.y_upd_p2q24, name='y_upd_p2q24'),
               path('<int:pk>/y_upd_p2q25/', views.y_upd_p2q25, name='y_upd_p2q25'),
               path('<int:pk>/y_upd_p2q26/', views.y_upd_p2q26, name='y_upd_p2q26'),
               path('<int:pk>/y_upd_p2q27/', views.y_upd_p2q27, name='y_upd_p2q27'),
               path('<int:pk>/y_upd_p2q28/', views.y_upd_p2q28, name='y_upd_p2q28'),
               path('<int:pk>/y_upd_p2q29/', views.y_upd_p2q29, name='y_upd_p2q29'),
               path('<int:pk>/y_upd_p2q30/', views.y_upd_p2q30, name='y_upd_p2q30'),
               path('<int:pk>/y_upd_p2q31/', views.y_upd_p2q31, name='y_upd_p2q31'),
               
               path('<int:pk>/p3q1/', views.p3q1, name='p3q1'),
               path('<int:pk>/p3q2/', views.p3q2, name='p3q2'),
               path('<int:pk>/p3q3/', views.p3q3, name='p3q3'),
               path('<int:pk>/p3q4/', views.p3q4, name='p3q4'),
               path('<int:pk>/p3q5/', views.p3q5, name='p3q5'),
               path('<int:pk>/p3q6/', views.p3q6, name='p3q6'),
               path('<int:pk>/p3q7/', views.p3q7, name='p3q7'),
               path('<int:pk>/p3q8/', views.p3q8, name='p3q8'),

               path('<int:pk>/upd_p3q1/', views.upd_p3q1, name='upd_p3q1'),
               path('<int:pk>/upd_p3q2/', views.upd_p3q2, name='upd_p3q2'),
               path('<int:pk>/upd_p3q3/', views.upd_p3q3, name='upd_p3q3'),
               path('<int:pk>/upd_p3q4/', views.upd_p3q4, name='upd_p3q4'),
               path('<int:pk>/upd_p3q5/', views.upd_p3q5, name='upd_p3q5'),
               path('<int:pk>/upd_p3q6/', views.upd_p3q6, name='upd_p3q6'),
               path('<int:pk>/upd_p3q7/', views.upd_p3q7, name='upd_p3q7'),
               path('<int:pk>/upd_p3q8/', views.upd_p3q8, name='upd_p3q8'),

               path('<int:pk>/y_upd_p3q1/', views.y_upd_p3q1, name='y_upd_p3q1'),
               path('<int:pk>/y_upd_p3q2/', views.y_upd_p3q2, name='y_upd_p3q2'),
               path('<int:pk>/y_upd_p3q3/', views.y_upd_p3q3, name='y_upd_p3q3'),
               path('<int:pk>/y_upd_p3q4/', views.y_upd_p3q4, name='y_upd_p3q4'),
               path('<int:pk>/y_upd_p3q5/', views.y_upd_p3q5, name='y_upd_p3q5'),
               path('<int:pk>/y_upd_p3q6/', views.y_upd_p3q6, name='y_upd_p3q6'),
               path('<int:pk>/y_upd_p3q7/', views.y_upd_p3q7, name='y_upd_p3q7'),
               path('<int:pk>/y_upd_p3q8/', views.y_upd_p3q8, name='upd_p3q8'),

               path('<int:pk>/p4q1/', views.p4q1, name='p4q1'),
               path('<int:pk>/p4q2/', views.p4q2, name='p4q2'),
               path('<int:pk>/p4q3/', views.p4q3, name='p4q3'),
               path('<int:pk>/p4q4/', views.p4q4, name='p4q4'),
               path('<int:pk>/p4q5/', views.p4q5, name='p4q5'),
               path('<int:pk>/p4q6/', views.p4q6, name='p4q6'),


               path('<int:pk>/upd_p4q1/', views.upd_p4q1, name='upd_p4q1'),
               path('<int:pk>/upd_p4q2/', views.upd_p4q2, name='upd_p4q2'),
               path('<int:pk>/upd_p4q3/', views.upd_p4q3, name='upd_p4q3'),
               path('<int:pk>/upd_p4q4/', views.upd_p4q4, name='upd_p4q4'),
               path('<int:pk>/upd_p4q5/', views.upd_p4q5, name='upd_p4q5'),
               path('<int:pk>/upd_p4q6/', views.upd_p4q6, name='upd_p4q6'),


               path('<int:pk>/y_upd_p4q1/', views.y_upd_p4q1, name='y_upd_p4q1'),
               path('<int:pk>/y_upd_p4q2/', views.y_upd_p4q2, name='y_upd_p4q2'),
               path('<int:pk>/y_upd_p4q3/', views.y_upd_p4q3, name='y_upd_p4q3'),
               path('<int:pk>/y_upd_p4q4/', views.y_upd_p4q4, name='y_upd_p4q4'),
               path('<int:pk>/y_upd_p4q5/', views.y_upd_p4q5, name='y_upd_p4q5'),
               path('<int:pk>/y_upd_p4q6/', views.y_upd_p4q6, name='y_upd_p4q6'),

               path('<int:pk>/p5q1/', views.p5q1, name='p5q1'),
               path('<int:pk>/p5q2/', views.p5q2, name='p5q2'),
               path('<int:pk>/p5q3/', views.p5q3, name='p5q3'),
               path('<int:pk>/p5q4/', views.p5q4, name='p5q4'),
               path('<int:pk>/p5q5/', views.p5q5, name='p5q5'),

               path('<int:pk>/upd_p5q1/', views.upd_p5q1, name='upd_p5q1'),
               path('<int:pk>/upd_p5q2/', views.upd_p5q2, name='upd_p5q2'),
               path('<int:pk>/upd_p5q3/', views.upd_p5q3, name='upd_p5q3'),
               path('<int:pk>/upd_p5q4/', views.upd_p5q4, name='upd_p5q4'),
               path('<int:pk>/upd_p5q5/', views.upd_p5q5, name='upd_p5q5'),

               path('<int:pk>/y_upd_p5q1/', views.y_upd_p5q1, name='y_upd_p5q1'),
               path('<int:pk>/y_upd_p5q2/', views.y_upd_p5q2, name='y_upd_p5q2'),
               path('<int:pk>/y_upd_p5q3/', views.y_upd_p5q3, name='y_upd_p5q3'),
               path('<int:pk>/y_upd_p5q4/', views.y_upd_p5q4, name='y_upd_p5q4'),
               path('<int:pk>/y_upd_p5q5/', views.y_upd_p5q5, name='y_upd_p5q5'),

               path('<int:pk>/done', views.done, name="done")

               ]
